#!/usr/bin/env sh
# Copyright (C) 2020  Leipzig University Library
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
# @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3

if [ "$(whoami)" = "php" ]; then
  mkdir -p "$COMPOSER_HOME"
  exec /docker-entrypoint.sh "$@"
  exit
fi

until ! (ping -c1 env >/dev/null 2>&1) && [ -f ./data/docker/env/composer ]; do :; done
set -a; . ./data/docker/env/composer; set +a

composer --version

: "${UIDGID:=$(stat -c '%u' .):$(stat -c '%g' .)}"
echo "php:x:$UIDGID:php:$(pwd):/bin/sh" >> /etc/passwd
chown "$UIDGID" "$(command -v composer)"
su -p -c "exec $0 $*" php