<?php
namespace Selenium\de_15;

use Lmc\Steward\ConfigProvider;
use Selenium\finc\FincBase;

/**
 * @group de_15
 */
class AccountTest extends FincBase
{
    /**
     * @before
     */
    public function initBaseUrl()
    {
        // Set base url according to environment
        switch (ConfigProvider::getInstance()->env) {
            case 'staging':
                self::$host = 'https://staging.finc.info/vufind2/de_15';
                break;
            case 'alpha':
                self::$host = 'https://alpha.finc.info/vufind2/de_15/22797';
                break;
            case 'local':
                self::$host = 'http://host.docker.internal';
                break;
            default:
                throw new \RuntimeException(sprintf('Unknown environment "%s"', ConfigProvider::getInstance()->env));
        }

        $this->debug('Base URL set to "%s"', self::$host);

        if (ConfigProvider::getInstance()->env === 'production') {
            $this->warn('The tests are run against production, so be careful!');
        }
    }

    /**
     * @group de_15
     */
    public function testChangeProfile()
    {
        $this->runTestChangeProfile('0015TV000003', 'test123$');
    }

    #region helper methods
    protected function changeLanguage($lang = 'de')
    {
        $this->wd->get(self::$host . self::$port . '/?lng=' . $lang);
        $this->waitForPartialLinkText('Katalogsuche');
    }
}
